QGIS Application - Feature request #4127
Recursive directory traversal for merge (fTools)
2011-08-02 01:03 AM - Oleg Seliverstov

Status: Closed

Priority: Normal

Assignee: cfarmer -

Category: Processing/QGIS

Pull Request or Patch supplied: Resolution: wontfix
Easy fix?: No Copied to github as #: 14107
Description

Hi! Please, add option "recursive directory traversal” for merge shape files to one (Vector>Data Managment>Merge shp). Thanks!

History

#1 - 2011-10-25 03:27 PM - Giovanni Manghi
- Category changed from Vectors to 44

- Assignee set to cfarmer -

#2 - 2011-11-12 05:51 AM - Tim Sutton
- Target version changed from Version 1.7.1 to Veersion 1.7.2

#3 - 2011-11-30 12:40 PM - Giovanni Manghi
- Target version changed from Version 1.7.2 to Version 1.7.3

#4 - 2011-12-16 10:54 AM - Giovanni Manghi
- Target version changed from Version 1.7.3 to Version 1.7.4

#5 - 2012-04-15 10:09 AM - Giovanni Manghi
- Target version changed from Version 1.7.4 to Version 2.0.0

#6 - 2012-10-06 02:15 AM - Pirmin Kalberer

- Target version changed from Version 2.0.0 to Future Release - Nice to have

#7 - 2015-12-05 01:23 AM - Médéric RIBREUX

- Tag set to easy

Hello, bug triage...

this is still true for QGIS 2.13 master. To fix this, we need to modify a bit of Python in python/plugins/fTools/tools/doMergeShapes.py (using a QDirlterator

instead of a QDir.entryList ) and the Ul form.

Furthermore, | don't see any Processing equivalent to this tool, so adding this option is still relevant in 2015.

#8 - 2017-01-02 05:50 AM - Giovanni Manghi

- Category changed from 44 to Processing/QGIS

#9 - 2017-05-01 12:50 AM - Giovanni Manghi

- Easy fix? set to No
https://github.com/qgis/QGIS/blob/master/python/plugins/fTools/tools/doMergeShapes.py
https://github.com/qgis/QGIS/blob/master/python/plugins/fTools/tools/frmMergeShapes.ui

#10 - 2017-11-28 08:02 AM - Alexander Bruy
- Status changed from Open to Closed

Closing as this is possible now with Processing

#11 - 2018-02-22 11:53 AM - Giovanni Manghi

- Resolution set to wonitfix
